Forms

Update custom messages

PUT

https://api.typeform.com/forms/{form_id}/messages

Specifies new values for the customizable messages in a form (specified by form_id).

You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

Request

Path Parameters

Request Body

  • label.buttonHint.default
    string
    Default tooltip button message. Maximum 28 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.buttonHint.longtext
    string
    Tooltip button message for long text blocks. Maximum 28 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.warning.connection
    string
    Server connection error message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.buttonNoAnswer.default
    string
    Default continue button message. Maximum 100 characters.

  • label.warning.correction
    string
    List of errors message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.payment.cardNameTitle
    string
    Credit card name message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.payment.cardNumberTitle
    string
    Credit card number message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.payment.cvcDescription
    string
    Credit card security number message.

  • block.payment.cvcNumberTitle
    string
    Credit card CVC number message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.shortText.placeholder
    string
    Text input placeholder. Maximum 100 characters.

  • label.error.emailAddress
    string
    Invalid email error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.expiryMonthTitle
    string
    Credit card expiry month message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.expiryYearTitle
    string
    Credit card expiry year message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.warning.fallbackAlert
    string
    Fallback alert message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.fileUpload.choose
    string
    File upload button message. Maximum 34 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.fileUpload.drag
    string
    File upload dragging action message. Maximum 35 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.fileUpload.uploadingProgress
    string
    Still processing file upload message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.sizeLimit
    string
    File too big error message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.warning.formUnavailable
    string
    Private form error message. Accepts variable form:name. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.incompleteForm
    string
    Incomplete fields error message. Maximum 42 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.hint.key
    string
    Key letter hint message. Maximum 100 characters.

  • block.legal.reject
    string
    Legal field deny message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.legal.accept
    string
    Legal field accept message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.maxValue
    string
    Number maximum value tooltip message. Accepts variable field:max. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.maxLength
    string
    Text fields maximum length tooltip message. Accepts variable field:max_length. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.minValue
    string
    Number minimum value tooltip message. Accepts variable field:min. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.range
    string
    Number minimum and maximum range value tooltip message. Accepts variables field:min and field:max. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.multipleChoice.hint
    string
    Choose as many as you like message for multiple choice fields. Maximum 45 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.mustEnter
    string
    Required value error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.error.mustSelect
    string
    Required selection error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.no.shortcut
    string
    Keyboard shortcut for the "No" option. Maximum 1 character.

  • label.no.default
    string
    Representation for the word "No." You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.dropdown.hint
    string
    Not suggestions found for dropdown fields error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.multipleChoice.other
    string
    Other answer message. Maximum 100 characters.

  • label.progress.percent
    string
    Completion percentage message. Accepts variable progress:percent. Maximum 100 characters.

  • label.progress.proportion
    string
    Completion proportion message. Accepts variables progress:step and progress:total. Maximum 100 characters.

  • label.error.required
    string
    Required field error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.preview
    string
    Review fields error message. Accepts variable form:unanswered_fields. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.button.review
    string
    Review button message. Maximum 100 characters.

  • label.error.server
    string
    Server error message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.action.share
    string
    Share text message. Maximum 100 characters.

  • label.button.submit
    string
    Submit button message. Maximum 100 characters.

  • label.warning.success
    string
    Successful submit message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.button.ok
    string
    Answer confirm. Maximum 100 characters.

  • label.error.mustAccept
    string
    Legal field terms and conditions message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.longtext.hint
    string
    Long text field tooltip message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • block.dropdown.placeholder
    string
    Placeholder message with instructions for dropdown fields. Maximum 100 characters.

  • block.dropdown.placeholderTouch
    string
    Placeholder message with instructions for dropdown fields on touch devices. Maximum 100 characters.

  • label.error.url
    string
    Invalid URL error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

  • label.yes.shortcut
    string
    Keyboard shortcut for the "Yes" option. Maximum 1 character.

  • label.yes.default
    string
    Representation for the word "Yes". You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

Response

Status

204 OK